QScintilla: QsciLexerCSS Class Reference

QScintilla 2.14.1

Public Types | Public Slots | Public Member Functions | Protected Member Functions | List of all members
QsciLexerCSS Class Reference

`#include <qscilexercss.h>`

Inherits QsciLexer.

## Public Types
enum | { Default = 0, Tag = 1, ClassSelector = 2, PseudoClass = 3, UnknownPseudoClass = 4, Operator = 5, CSS1Property = 6, UnknownProperty = 7, Value = 8, Comment = 9, IDSelector = 10, Important = 11, AtRule = 12, DoubleQuotedString = 13, SingleQuotedString = 14, CSS2Property = 15, Attribute = 16, CSS3Property = 17, PseudoElement = 18, ExtendedCSSProperty = 19, ExtendedPseudoClass = 20, ExtendedPseudoElement = 21, MediaRule = 22, Variable = 23 }

## Public Slots
virtual void | setFoldComments (bool fold)
virtual void | setFoldCompact (bool fold)
Public Slots inherited from QsciLexer
virtual void | setAutoIndentStyle (int autoindentstyle)
virtual void | setColor (const QColor &c, int style=-1)
virtual void | setEolFill (bool eoffill, int style=-1)
virtual void | setFont (const QFont &f, int style=-1)
virtual void | setPaper (const QColor &c, int style=-1)

## Public Member Functions
| QsciLexerCSS (QObject *parent=0)
virtual | ~QsciLexerCSS ()
const char * | language () const
const char * | lexer () const
const char * | blockEnd (int *style=0) const
const char * | blockStart (int *style=0) const
const char * | wordCharacters () const
QColor | defaultColor (int style) const
QFont | defaultFont (int style) const
const char * | keywords (int set) const
QString | description (int style) const
void | refreshProperties ()
bool | foldComments () const
bool | foldCompact () const
void | setHSSLanguage (bool enabled)
bool | HSSLanguage () const
void | setLessLanguage (bool enabled)
bool | LessLanguage () const
void | setSCSSLanguage (bool enabled)
bool | SCSSLanguage () const
Public Member Functions inherited from QsciLexer
| QsciLexer (QObject *parent=0)
virtual | ~QsciLexer ()
virtual int | lexerId () const
QsciAbstractAPIs * | apis () const
virtual const char * | autoCompletionFillups () const
virtual QStringList | autoCompletionWordSeparators () const
int | autoIndentStyle ()
virtual int | blockLookback () const
virtual const char * | blockStartKeyword (int *style=0) const
virtual int | braceStyle () const
virtual bool | caseSensitive () const
virtual QColor | color (int style) const
virtual bool | eolFill (int style) const
virtual QFont | font (int style) const
virtual int | indentationGuideView () const
virtual int | defaultStyle () const
virtual QColor | paper (int style) const
QColor | defaultColor () const
virtual bool | defaultEolFill (int style) const
QFont | defaultFont () const
QColor | defaultPaper () const
virtual QColor | defaultPaper (int style) const
QsciScintilla * | editor () const
void | setAPIs (QsciAbstractAPIs *apis)
void | setDefaultColor (const QColor &c)
void | setDefaultFont (const QFont &f)
void | setDefaultPaper (const QColor &c)
virtual void | setEditor (QsciScintilla *editor)
bool | readSettings (QSettings &qs, const char *prefix="/Scintilla")
virtual int | styleBitsNeeded () const
bool | writeSettings (QSettings &qs, const char *prefix="/Scintilla") const

## Protected Member Functions
bool | readProperties (QSettings &qs, const QString &prefix)
bool | writeProperties (QSettings &qs, const QString &prefix) const
Protected Member Functions inherited from QsciLexer
QByteArray | textAsBytes (const QString &text) const
QString | bytesAsText (const char *bytes, int size) const

## Additional Inherited Members
Signals inherited from QsciLexer
void | colorChanged (const QColor &c, int style)
void | eolFillChanged (bool eolfilled, int style)
void | fontChanged (const QFont &f, int style)
void | paperChanged (const QColor &c, int style)
void | propertyChanged (const char *prop, const char *val)

## Detailed Description

The QsciLexerCSS class encapsulates the Scintilla CSS lexer.

## Member Enumeration Documentation

## ◆ anonymous enum

anonymous enum

This enum defines the meanings of the different styles used by the CSS lexer.

Enumerator
Default | The default.
Tag | A tag.
ClassSelector | A class selector.
PseudoClass | A pseudo class. The list of pseudo classes is defined by keyword set 2.
UnknownPseudoClass | An unknown pseudo class.
Operator | An operator.
CSS1Property | A CSS1 property. The list of CSS1 properties is defined by keyword set 1.
UnknownProperty | An unknown property.
Value | A value.
Comment | A comment.
IDSelector | An ID selector.
Important | An important value.
AtRule | An -rule.
DoubleQuotedString | A double-quoted string.
SingleQuotedString | A single-quoted string.
CSS2Property | A CSS2 property. The list of CSS2 properties is defined by keyword set 3.
Attribute | An attribute.
CSS3Property | A CSS3 property. The list of CSS3 properties is defined by keyword set 4.
PseudoElement | A pseudo element. The list of pseudo elements is defined by keyword set 5.
ExtendedCSSProperty | An extended (browser specific) CSS property. The list of extended CSS properties is defined by keyword set 6.
ExtendedPseudoClass | An extended (browser specific) pseudo class. The list of extended pseudo classes is defined by keyword set 7.
ExtendedPseudoElement | An extended (browser specific) pseudo element. The list of extended pseudo elements is defined by keyword set 8.
MediaRule | A media rule.
Variable | A variable.

## Constructor & Destructor Documentation

## ◆ QsciLexerCSS()

QsciLexerCSS::QsciLexerCSS | ( | QObject * | parent = `0` | ) |

Construct a QsciLexerCSS with parent parent. parent is typically the QsciScintilla instance.

## Member Function Documentation

## ◆ lexer()

const char* QsciLexerCSS::lexer | ( |  | ) | const
| virtual

Returns the name of the lexer. Some lexers support a number of languages.

Reimplemented from QsciLexer.

## ◆ blockEnd()

const char* QsciLexerCSS::blockEnd | ( | int * | style = `0` | ) | const
| virtual

Returns a space separated list of words or characters in a particular style that define the end of a block for auto-indentation. The style is returned via style.

Reimplemented from QsciLexer.

## ◆ blockStart()

const char* QsciLexerCSS::blockStart | ( | int * | style = `0` | ) | const
| virtual

Returns a space separated list of words or characters in a particular style that define the start of a block for auto-indentation. The style is returned via style.

Reimplemented from QsciLexer.

## ◆ keywords()

const char* QsciLexerCSS::keywords | ( | int | set | ) | const
| virtual

Returns the set of keywords for the keyword set set recognised by the lexer as a space separated string.

Reimplemented from QsciLexer.

## ◆ description()

QString QsciLexerCSS::description | ( | int | style | ) | const
| virtual

Returns the descriptive name for style number style. If the style is invalid for this language then an empty QString is returned. This is intended to be used in user preference dialogs.

Implements QsciLexer.

## ◆ refreshProperties()

void QsciLexerCSS::refreshProperties | ( |  | ) |
| virtual

Causes all properties to be refreshed by emitting the propertyChanged() signal as required.

Reimplemented from QsciLexer.

## ◆ foldComments()

bool QsciLexerCSS::foldComments | ( |  | ) | const

Returns true if multi-line comment blocks can be folded.

See also
  setFoldComments()

## ◆ foldCompact()

bool QsciLexerCSS::foldCompact | ( |  | ) | const

Returns true if trailing blank lines are included in a fold block.

See also
  setFoldCompact()

## ◆ setHSSLanguage()

void QsciLexerCSS::setHSSLanguage | ( | bool | enabled | ) |

If enabled is true then support for HSS is enabled. The default is false.

See also
  HSSLanguage()

## ◆ HSSLanguage()

bool QsciLexerCSS::HSSLanguage | ( |  | ) | const
| inline

Returns true if support for HSS is enabled.

See also
  setHSSLanguage()

## ◆ setLessLanguage()

void QsciLexerCSS::setLessLanguage | ( | bool | enabled | ) |

If enabled is true then support for Less CSS is enabled. The default is false.

See also
  LessLanguage()

## ◆ LessLanguage()

bool QsciLexerCSS::LessLanguage | ( |  | ) | const
| inline

Returns true if support for Less CSS is enabled.

See also
  setLessLanguage()

## ◆ setSCSSLanguage()

void QsciLexerCSS::setSCSSLanguage | ( | bool | enabled | ) |

If enabled is true then support for Sassy CSS is enabled. The default is false.

See also
  SCSSLanguage()

## ◆ SCSSLanguage()

bool QsciLexerCSS::SCSSLanguage | ( |  | ) | const
| inline

Returns true if support for Sassy CSS is enabled.

See also
  setSCSSLanguage()

## ◆ setFoldComments

virtual void QsciLexerCSS::setFoldComments | ( | bool | fold | ) |
| virtualslot

If fold is true then multi-line comment blocks can be folded. The default is false.

See also
  foldComments()

## ◆ setFoldCompact

virtual void QsciLexerCSS::setFoldCompact | ( | bool | fold | ) |
| virtualslot

If fold is true then trailing blank lines are included in a fold block. The default is true.

See also
  foldCompact()

## ◆ readProperties()

bool QsciLexerCSS::readProperties | ( | QSettings & | qs,
|  | const QString & | prefix
| ) |  |
| protectedvirtual

The lexer's properties are read from the settings qs. prefix (which has a trailing '/') should be used as a prefix to the key of each setting. true is returned if there is no error.

Reimplemented from QsciLexer.

## ◆ writeProperties()

bool QsciLexerCSS::writeProperties | ( | QSettings & | qs,
|  | const QString & | prefix
| ) |  | const
| protectedvirtual

The lexer's properties are written to the settings qs. prefix (which has a trailing '/') should be used as a prefix to the key of each setting. true is returned if there is no error.

Reimplemented from QsciLexer.